spring:
  profiles:
    active: local
  application:
    name: income-management
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://127.0.0.1:8097/financial_management
    username: ${db.username}
    password: ${db.password}
    hikari:
      schema: income_management
  jpa:
    hibernate:
      ddl-auto: none
    open-in-view: true
    show-sql: true
  liquibase:
    enabled: ${LIQUIBASE_ENABLE:true}
    change-log: classpath:db/changelog/db.changelog.yml
    default-schema: income_management

server:
  servlet:
    context-path: /api/income
  port: 8087

# Uncomment the following lines to enable detailed logging
# logging:
#   level:
#     org.springframework: DEBUG
#     com.zaxxer.hikari: DEBUG